Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkBoxWidget Class Reference

`#include <vtkBoxWidget.h>`

Inheritance diagram for vtkBoxWidget:

[legend]
Collaboration diagram for vtkBoxWidget:

[legend]
List of all members.

## Detailed Description

orthogonal hexahedron 3D widget

Date:
  2002/09/05 14:46:01

Revision:
  1.13

This 3D widget defines a region of interest that is represented by an arbitrarily oriented hexahedron with interior face angles of 90 degrees (orthogonal faces). The object creates 7 handles that can be moused on and manipulated. The first six correspond to the six faces, the seventh is in the center of the hexahedron. In addition, a bounding box outline is shown, the "faces" of which can be selected for object rotation or scaling. A nice feature of the object is that the vtkBoxWidget, like any 3D widget, will work with the current interactor style. That is, if vtkBoxWidget does not handle an event, then all other registered observers (including the interactor style) have an opportunity to process the event. Otherwise, the vtkBoxWidget will terminate the processing of the event that it handles.

To use this object, just invoke SetInteractor() with the argument of the method a vtkRenderWindowInteractor. You may also wish to invoke "PlaceWidget()" to initially position the widget. The interactor will act normally until the "i" key (for "interactor") is pressed, at which point the vtkBoxWidget will appear. (See superclass documentation for information about changing this behavior.) By grabbing the six face handles (use the left mouse button), faces can be moved. By grabbing the center handle (with the left mouse button), the entire hexahedron can be translated. (Translation can also be employed by using the "shift-left-mouse-button" combination inside of the widget.) Scaling is achieved by using the right mouse button "up" the render window (makes the widget bigger) or "down" the render window (makes the widget smaller). To rotate vtkBoxWidget, pick a face (but not a face handle) and move the left mouse. (Note: the mouse button must be held down during manipulation.) Events that occur outside of the widget (i.e., no part of the widget is picked) are propagated to any other registered obsevers (such as the interaction style). Turn off the widget by pressing the "i" key again. (See the superclass documentation on key press activiation.)

The vtkBoxWidget is very flexible. It can be used to select, cut, clip, or perform any other operation that depends on an implicit function (use the GetPlanes() method); or it can be used to transform objects using a linear transformation (use the GetTransform() method). Typical usage of the widget is to make use of the StartInteractionEvent, InteractionEvent, and EndInteractionEvent events. The InteractionEvent is called on mouse motion; the other two events are called on button down and button up (either left or right button).

Some additional features of this class include the ability to control the rendered properties of the widget. You can set the properties of the selected and unselected representations of the parts of the widget. For example, you can set the property for the handles, faces, and outline in their normal and selected states.

Warning:
  Note that handles can be picked even when they are "behind" other actors. This is an intended feature and not a bug.

See also:
  vtk3DWidget vtkLineWidget

Events:
  vtkCommand::EnableEvent vtkCommand::InteractionEvent vtkCommand::EndInteractionEvent vtkCommand::DisableEvent vtkCommand::StartInteractionEvent

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (90%)
  - Barre, Sebastien (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Hybrid/vtkBoxWidget.cxx)`
  - .`h` (`/Hybrid/vtkBoxWidget.h)`

Examples:
  vtkBoxWidget (Examples)

Tests:
  vtkBoxWidget (Tests)

Definition at line 112 of file vtkBoxWidget.h.

## Public Types
typedef vtk3DWidget | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | GetPlanes (vtkPlanes *planes)
void | GetTransform (vtkTransform *t)
void | GetPolyData (vtkPolyData *pd)
virtual void | SetEnabled (int)
virtual void | PlaceWidget (float bounds[6])
void | PlaceWidget ()
void | PlaceWidget (float xmin, float xmax, float ymin, float ymax, float zmin, float zmax)
virtual void | SetInsideOut (int)
virtual int | GetInsideOut ()
virtual void | InsideOutOn ()
virtual void | InsideOutOff ()
virtual vtkProperty * | GetHandleProperty ()
virtual vtkProperty * | GetSelectedHandleProperty ()
virtual vtkProperty * | GetFaceProperty ()
virtual vtkProperty * | GetSelectedFaceProperty ()
virtual vtkProperty * | GetOutlineProperty ()
virtual vtkProperty * | GetSelectedOutlineProperty ()
virtual void | SetOutlineFaceWires (int)
virtual int | GetOutlineFaceWires ()
virtual void | OutlineFaceWiresOn ()
virtual void | OutlineFaceWiresOff ()
virtual void | SetOutlineCursorWires (int)
virtual int | GetOutlineCursorWires ()
virtual void | OutlineCursorWiresOn ()
virtual void | OutlineCursorWiresOff ()
virtual void | SetTranslationEnabled (int)
virtual int | GetTranslationEnabled ()
virtual void | TranslationEnabledOn ()
virtual void | TranslationEnabledOff ()
virtual void | SetScalingEnabled (int)
virtual int | GetScalingEnabled ()
virtual void | ScalingEnabledOn ()
virtual void | ScalingEnabledOff ()
virtual void | SetRotationEnabled (int)
virtual int | GetRotationEnabled ()
virtual void | RotationEnabledOn ()
virtual void | RotationEnabledOff ()
## Static Public Methods
vtkBoxWidget * | New ()
int | IsTypeOf (const char *type)
vtkBoxWidget * | SafeDownCast (vtkObject *o)
## Protected Types
enum | WidgetState { Start = 0, Moving, Scaling, Outside }
## Protected Methods
| vtkBoxWidget ()
| ~vtkBoxWidget ()
void | OnMouseMove ()
void | OnLeftButtonDown ()
void | OnLeftButtonUp ()
void | OnMiddleButtonDown ()
void | OnMiddleButtonUp ()
void | OnRightButtonDown ()
void | OnRightButtonUp ()
void | PositionHandles ()
void | HandlesOn (double length)
void | HandlesOff ()
int | HighlightHandle (vtkProp *prop)
void | HighlightFace (int cellId)
void | HighlightOutline (int highlight)
void | ComputeNormals ()
virtual void | SizeHandles ()
void | Translate (double *p1, double *p2)
void | Scale (double *p1, double *p2, int X, int Y)
void | Rotate (int X, int Y, double *p1, double *p2, double *vpn)
void | MovePlusXFace (double *p1, double *p2)
void | MoveMinusXFace (double *p1, double *p2)
void | MovePlusYFace (double *p1, double *p2)
void | MoveMinusYFace (double *p1, double *p2)
void | MovePlusZFace (double *p1, double *p2)
void | MoveMinusZFace (double *p1, double *p2)
void | MoveFace (double *p1, double *p2, double *h1, double *h2, double *x1, double *x2, double *x3, double *x4, double *x5)
void | CreateDefaultProperties ()
void | GenerateOutline ()
## Static Protected Methods
void | ProcessEvents (vtkObject *object, unsigned long event, void *clientdata, void *calldata)
## Protected Attributes
int | State
vtkActor * | HexActor
vtkPolyDataMapper * | HexMapper
vtkPolyData * | HexPolyData
vtkPoints * | Points
double | N [6][3]
vtkActor * | HexFace
vtkPolyDataMapper * | HexFaceMapper
vtkPolyData * | HexFacePolyData
vtkActor ** | Handle
vtkPolyDataMapper ** | HandleMapper
vtkSphereSource ** | HandleGeometry
vtkActor * | HexOutline
vtkPolyDataMapper * | OutlineMapper
vtkPolyData * | OutlinePolyData
vtkCellPicker * | HandlePicker
vtkCellPicker * | HexPicker
vtkActor * | CurrentHandle
int | CurrentHexFace
vtkTransform * | Transform
vtkProperty * | HandleProperty
vtkProperty * | SelectedHandleProperty
vtkProperty * | FaceProperty
vtkProperty * | SelectedFaceProperty
vtkProperty * | OutlineProperty
vtkProperty * | SelectedOutlineProperty
int | InsideOut
int | OutlineFaceWires
int | OutlineCursorWires
int | TranslationEnabled
int | ScalingEnabled
int | RotationEnabled

## Member Typedef Documentation

typedef vtk3DWidget vtkBoxWidget::Superclass

| Reimplemented from vtk3DWidget. Definition at line 118 of file vtkBoxWidget.h.

## Member Enumeration Documentation

enum vtkBoxWidget::WidgetState`[protected]`

  | Enumeration values:
  Start |
  Moving |
  Scaling |
  Outside |
Definition at line 225 of file vtkBoxWidget.h.

## Constructor & Destructor Documentation

vtkBoxWidget::vtkBoxWidget | ( |  | ) | `[protected]`

vtkBoxWidget::~vtkBoxWidget | ( |  | ) | `[protected]`

## Member Function Documentation

vtkBoxWidget* vtkBoxWidget::New | ( |  | ) | `[static]`

| Instantiate the object. Reimplemented from vtkObject.

virtual const char* vtkBoxWidget::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtk3DWidget.

int vtkBoxWidget::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtk3DWidget.

virtual int vtkBoxWidget::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtk3DWidget.

vtkBoxWidget* vtkBoxWidget::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtk3DWidget.

void vtkBoxWidget::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtk3DWidget.

virtual void vtkBoxWidget::SetEnabled | ( | int |  | ) | `[virtual]`

| Methods that satisfy the superclass' API. Implements vtkInteractorObserver.

virtual void vtkBoxWidget::PlaceWidget | ( | float | bounds[6] | ) | `[virtual]`

| Methods that satisfy the superclass' API. Implements vtk3DWidget.

void vtkBoxWidget::PlaceWidget | ( |  | ) | `[inline]`

| Methods that satisfy the superclass' API. Reimplemented from vtk3DWidget. Definition at line 125 of file vtkBoxWidget.h.

void vtkBoxWidget::PlaceWidget | ( | float | xmin,
|  | float | xmax,
|  | float | ymin,
|  | float | ymax,
|  | float | zmin,
|  | float | zmax
| ) | `[inline]`

| Methods that satisfy the superclass' API. Reimplemented from vtk3DWidget. Definition at line 127 of file vtkBoxWidget.h.

void vtkBoxWidget::GetPlanes | ( | vtkPlanes * | planes | ) |

| Get the planes describing the implicit function defined by the box widget. The user must provide the instance of the class vtkPlanes. Note that vtkPlanes is a subclass of vtkImplicitFunction, meaning that it can be used by a variety of filters to perform clipping, cutting, and selection of data. (The direction of the normals of the planes can be reversed enabling the InsideOut flag.)

virtual void vtkBoxWidget::SetInsideOut | ( | int |  | ) | `[virtual]`

| Set/Get the InsideOut flag. When off, the normals point out of the box. When on, the normals point into the hexahedron. InsideOut is off by default.

virtual int vtkBoxWidget::GetInsideOut | ( |  | ) | `[virtual]`

| Set/Get the InsideOut flag. When off, the normals point out of the box. When on, the normals point into the hexahedron. InsideOut is off by default.

virtual void vtkBoxWidget::InsideOutOn | ( |  | ) | `[virtual]`

| Set/Get the InsideOut flag. When off, the normals point out of the box. When on, the normals point into the hexahedron. InsideOut is off by default.

virtual void vtkBoxWidget::InsideOutOff | ( |  | ) | `[virtual]`

| Set/Get the InsideOut flag. When off, the normals point out of the box. When on, the normals point into the hexahedron. InsideOut is off by default.

void vtkBoxWidget::GetTransform | ( | vtkTransform * | t | ) |

| Retrieve a linear transform characterizing the transformation of the box. Note that the transformation is relative to where PlaceWidget was initially called. This method modifies the transform provided. The transform can be used to control the position of vtkProp3D's, as well as other transformation operations (e.g., vtkTranformPolyData).

void vtkBoxWidget::GetPolyData | ( | vtkPolyData * | pd | ) |

| Grab the polydata (including points) that define the box widget. The polydata consists of 6 quadrilateral faces and 15 points. The first eight points define the eight corner vertices; the next six define the -x,+x, -y,+y, -z,+z face points; and the final point (the 15th out of 15 points) defines the center of the hexahedron. These point values are guaranteed to be up-to-date when either the InteractionEvent or EndInteractionEvent events are invoked. The user provides the vtkPolyData and the points and cells are added to it.

virtual vtkProperty* vtkBoxWidget::GetHandleProperty | ( |  | ) | `[virtual]`

| Get the handle properties (the little balls are the handles). The properties of the handles when selected and normal can be set.

virtual vtkProperty* vtkBoxWidget::GetSelectedHandleProperty | ( |  | ) | `[virtual]`

| Get the handle properties (the little balls are the handles). The properties of the handles when selected and normal can be set.

virtual vtkProperty* vtkBoxWidget::GetFaceProperty | ( |  | ) | `[virtual]`

| Get the face properties (the faces of the box). The properties of the face when selected and normal can be set.

virtual vtkProperty* vtkBoxWidget::GetSelectedFaceProperty | ( |  | ) | `[virtual]`

| Get the face properties (the faces of the box). The properties of the face when selected and normal can be set.

virtual vtkProperty* vtkBoxWidget::GetOutlineProperty | ( |  | ) | `[virtual]`

| Get the outline properties (the outline of the box). The properties of the outline when selected and normal can be set.

virtual vtkProperty* vtkBoxWidget::GetSelectedOutlineProperty | ( |  | ) | `[virtual]`

| Get the outline properties (the outline of the box). The properties of the outline when selected and normal can be set.

virtual void vtkBoxWidget::SetOutlineFaceWires | ( | int |  | ) | `[virtual]`

| Control the representation of the outline. This flag enables face wires. By default face wires are off.

virtual int vtkBoxWidget::GetOutlineFaceWires | ( |  | ) | `[virtual]`

| Control the representation of the outline. This flag enables face wires. By default face wires are off.

virtual void vtkBoxWidget::OutlineFaceWiresOn | ( |  | ) | `[virtual]`

| Control the representation of the outline. This flag enables face wires. By default face wires are off.

virtual void vtkBoxWidget::OutlineFaceWiresOff | ( |  | ) | `[virtual]`

| Control the representation of the outline. This flag enables face wires. By default face wires are off.

virtual void vtkBoxWidget::SetOutlineCursorWires | ( | int |  | ) | `[virtual]`

| Control the representation of the outline. This flag enables the cursor lines running between the handles. By default cursor wires are on.

virtual int vtkBoxWidget::GetOutlineCursorWires | ( |  | ) | `[virtual]`

| Control the representation of the outline. This flag enables the cursor lines running between the handles. By default cursor wires are on.

virtual void vtkBoxWidget::OutlineCursorWiresOn | ( |  | ) | `[virtual]`

| Control the representation of the outline. This flag enables the cursor lines running between the handles. By default cursor wires are on.

virtual void vtkBoxWidget::OutlineCursorWiresOff | ( |  | ) | `[virtual]`

| Control the representation of the outline. This flag enables the cursor lines running between the handles. By default cursor wires are on.

virtual void vtkBoxWidget::SetTranslationEnabled | ( | int |  | ) | `[virtual]`

| Control the behavior of the widget. Translation, rotation, and scaling can all be enabled and disabled.

virtual int vtkBoxWidget::GetTranslationEnabled | ( |  | ) | `[virtual]`

| Control the behavior of the widget. Translation, rotation, and scaling can all be enabled and disabled.

virtual void vtkBoxWidget::TranslationEnabledOn | ( |  | ) | `[virtual]`

| Control the behavior of the widget. Translation, rotation, and scaling can all be enabled and disabled.

virtual void vtkBoxWidget::TranslationEnabledOff | ( |  | ) | `[virtual]`

| Control the behavior of the widget. Translation, rotation, and scaling can all be enabled and disabled.

virtual void vtkBoxWidget::SetScalingEnabled | ( | int |  | ) | `[virtual]`

| Control the behavior of the widget. Translation, rotation, and scaling can all be enabled and disabled.

virtual int vtkBoxWidget::GetScalingEnabled | ( |  | ) | `[virtual]`

| Control the behavior of the widget. Translation, rotation, and scaling can all be enabled and disabled.

virtual void vtkBoxWidget::ScalingEnabledOn | ( |  | ) | `[virtual]`

| Control the behavior of the widget. Translation, rotation, and scaling can all be enabled and disabled.

virtual void vtkBoxWidget::ScalingEnabledOff | ( |  | ) | `[virtual]`

| Control the behavior of the widget. Translation, rotation, and scaling can all be enabled and disabled.

virtual void vtkBoxWidget::SetRotationEnabled | ( | int |  | ) | `[virtual]`

| Control the behavior of the widget. Translation, rotation, and scaling can all be enabled and disabled.

virtual int vtkBoxWidget::GetRotationEnabled | ( |  | ) | `[virtual]`

| Control the behavior of the widget. Translation, rotation, and scaling can all be enabled and disabled.

virtual void vtkBoxWidget::RotationEnabledOn | ( |  | ) | `[virtual]`

| Control the behavior of the widget. Translation, rotation, and scaling can all be enabled and disabled.

virtual void vtkBoxWidget::RotationEnabledOff | ( |  | ) | `[virtual]`

| Control the behavior of the widget. Translation, rotation, and scaling can all be enabled and disabled.

void vtkBoxWidget::ProcessEvents | ( | vtkObject * | object,
|  | unsigned long | event,
|  | void * | clientdata,
|  | void * | calldata
| ) | `[static, protected]`

| Handles the char widget activation event. Also handles the delete event. Reimplemented from vtkInteractorObserver.

void vtkBoxWidget::OnMouseMove | ( |  | ) | `[protected]`

void vtkBoxWidget::OnLeftButtonDown | ( |  | ) | `[protected]`

void vtkBoxWidget::OnLeftButtonUp | ( |  | ) | `[protected]`

void vtkBoxWidget::OnMiddleButtonDown | ( |  | ) | `[protected]`

void vtkBoxWidget::OnMiddleButtonUp | ( |  | ) | `[protected]`

void vtkBoxWidget::OnRightButtonDown | ( |  | ) | `[protected]`

void vtkBoxWidget::OnRightButtonUp | ( |  | ) | `[protected]`

void vtkBoxWidget::PositionHandles | ( |  | ) | `[protected]`

void vtkBoxWidget::HandlesOn | ( | double | length | ) | `[protected]`

void vtkBoxWidget::HandlesOff | ( |  | ) | `[protected]`

int vtkBoxWidget::HighlightHandle | ( | vtkProp * | prop | ) | `[protected]`

void vtkBoxWidget::HighlightFace | ( | int | cellId | ) | `[protected]`

void vtkBoxWidget::HighlightOutline | ( | int | highlight | ) | `[protected]`

void vtkBoxWidget::ComputeNormals | ( |  | ) | `[protected]`

virtual void vtkBoxWidget::SizeHandles | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtk3DWidget.

void vtkBoxWidget::Translate | ( | double * | p1,
|  | double * | p2
| ) | `[protected]`

void vtkBoxWidget::Scale | ( | double * | p1,
|  | double * | p2,
|  | int | X,
|  | int | Y
| ) | `[protected]`

void vtkBoxWidget::Rotate | ( | int | X,
|  | int | Y,
|  | double * | p1,
|  | double * | p2,
|  | double * | vpn
| ) | `[protected]`

void vtkBoxWidget::MovePlusXFace | ( | double * | p1,
|  | double * | p2
| ) | `[protected]`

void vtkBoxWidget::MoveMinusXFace | ( | double * | p1,
|  | double * | p2
| ) | `[protected]`

void vtkBoxWidget::MovePlusYFace | ( | double * | p1,
|  | double * | p2
| ) | `[protected]`

void vtkBoxWidget::MoveMinusYFace | ( | double * | p1,
|  | double * | p2
| ) | `[protected]`

void vtkBoxWidget::MovePlusZFace | ( | double * | p1,
|  | double * | p2
| ) | `[protected]`

void vtkBoxWidget::MoveMinusZFace | ( | double * | p1,
|  | double * | p2
| ) | `[protected]`

void vtkBoxWidget::MoveFace | ( | double * | p1,
|  | double * | p2,
|  | double * | h1,
|  | double * | h2,
|  | double * | x1,
|  | double * | x2,
|  | double * | x3,
|  | double * | x4,
|  | double * | x5
| ) | `[protected]`

void vtkBoxWidget::CreateDefaultProperties | ( |  | ) | `[protected]`

void vtkBoxWidget::GenerateOutline | ( |  | ) | `[protected]`

## Member Data Documentation

int vtkBoxWidget::State`[protected]`

| Definition at line 224 of file vtkBoxWidget.h.

vtkActor* vtkBoxWidget::HexActor`[protected]`

| Definition at line 250 of file vtkBoxWidget.h.

vtkPolyDataMapper* vtkBoxWidget::HexMapper`[protected]`

| Definition at line 251 of file vtkBoxWidget.h.

vtkPolyData* vtkBoxWidget::HexPolyData`[protected]`

| Definition at line 252 of file vtkBoxWidget.h.

vtkPoints* vtkBoxWidget::Points`[protected]`

| Definition at line 253 of file vtkBoxWidget.h.

double vtkBoxWidget::N[6][3]`[protected]`

| Definition at line 254 of file vtkBoxWidget.h.

vtkActor* vtkBoxWidget::HexFace`[protected]`

| Definition at line 257 of file vtkBoxWidget.h.

vtkPolyDataMapper* vtkBoxWidget::HexFaceMapper`[protected]`

| Definition at line 258 of file vtkBoxWidget.h.

vtkPolyData* vtkBoxWidget::HexFacePolyData`[protected]`

| Definition at line 259 of file vtkBoxWidget.h.

vtkActor** vtkBoxWidget::Handle`[protected]`

| Definition at line 262 of file vtkBoxWidget.h.

vtkPolyDataMapper** vtkBoxWidget::HandleMapper`[protected]`

| Definition at line 263 of file vtkBoxWidget.h.

vtkSphereSource** vtkBoxWidget::HandleGeometry`[protected]`

| Definition at line 264 of file vtkBoxWidget.h.

vtkActor* vtkBoxWidget::HexOutline`[protected]`

| Definition at line 275 of file vtkBoxWidget.h.

vtkPolyDataMapper* vtkBoxWidget::OutlineMapper`[protected]`

| Definition at line 276 of file vtkBoxWidget.h.

vtkPolyData* vtkBoxWidget::OutlinePolyData`[protected]`

| Definition at line 277 of file vtkBoxWidget.h.

vtkCellPicker* vtkBoxWidget::HandlePicker`[protected]`

| Definition at line 280 of file vtkBoxWidget.h.

vtkCellPicker* vtkBoxWidget::HexPicker`[protected]`

| Definition at line 281 of file vtkBoxWidget.h.

vtkActor* vtkBoxWidget::CurrentHandle`[protected]`

| Definition at line 282 of file vtkBoxWidget.h.

int vtkBoxWidget::CurrentHexFace`[protected]`

| Definition at line 283 of file vtkBoxWidget.h.

vtkTransform* vtkBoxWidget::Transform`[protected]`

| Definition at line 301 of file vtkBoxWidget.h.

vtkProperty* vtkBoxWidget::HandleProperty`[protected]`

| Definition at line 305 of file vtkBoxWidget.h.

vtkProperty* vtkBoxWidget::SelectedHandleProperty`[protected]`

| Definition at line 306 of file vtkBoxWidget.h.

vtkProperty* vtkBoxWidget::FaceProperty`[protected]`

| Definition at line 307 of file vtkBoxWidget.h.

vtkProperty* vtkBoxWidget::SelectedFaceProperty`[protected]`

| Definition at line 308 of file vtkBoxWidget.h.

vtkProperty* vtkBoxWidget::OutlineProperty`[protected]`

| Definition at line 309 of file vtkBoxWidget.h.

vtkProperty* vtkBoxWidget::SelectedOutlineProperty`[protected]`

| Definition at line 310 of file vtkBoxWidget.h.

int vtkBoxWidget::InsideOut`[protected]`

| Definition at line 314 of file vtkBoxWidget.h.

int vtkBoxWidget::OutlineFaceWires`[protected]`

| Definition at line 315 of file vtkBoxWidget.h.

int vtkBoxWidget::OutlineCursorWires`[protected]`

| Definition at line 316 of file vtkBoxWidget.h.

int vtkBoxWidget::TranslationEnabled`[protected]`

| Definition at line 320 of file vtkBoxWidget.h.

int vtkBoxWidget::ScalingEnabled`[protected]`

| Definition at line 321 of file vtkBoxWidget.h.

int vtkBoxWidget::RotationEnabled`[protected]`

| Definition at line 322 of file vtkBoxWidget.h.

The documentation for this class was generated from the following file:

- Hybrid/vtkBoxWidget.h